Bug 225788 - Merge Review: gedit
Merge Review: gedit
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 13:42 EST by Nobody's working on this, feel free to take it
Modified: 2014-03-24 15:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-24 15:47:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
suggested patch (5.00 KB, patch)
2013-01-31 09:04 EST, Matěj Cepl
no flags Details | Diff
updated patch (2.49 KB, patch)
2013-02-01 08:23 EST, Matěj Cepl
mcepl: review? (mclasen)
Details | Diff

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 13:42:20 EST
Fedora Merge Review: gedit

http://cvs.fedora.redhat.com/viewcvs/devel/gedit/
Initial Owner: rstrode@redhat.com
Comment 1 manuel wolfshant 2009-03-02 18:07:48 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM:
gedit.src: W: mixed-use-of-spaces-and-tabs (spaces: line 30, tab: line 18)
==> cosmetic, but please fix
gedit.src: W: %ifarch-applied-patch Patch1: gedit-2.13.90-libdir.patch
=> ignorable, fixes the autotools chain
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

binary RPM:
gedit.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/gedit.schemas
gedit.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/gedit-file-browser.schemas
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
=> those are ignorable, if memory serves well. right?

 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
                                                   [!] License field in the package spec file matches the actual license.
     License type: GPLv2+ and GFDL
See note 1
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of source file: 54feda7411f32d401d075c160fc5b9c16f58e8f4 gedit-2.25.7.tar.bz2
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [x] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [x] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [x] Development .so files in -devel subpackage, if present.
 [x] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji build (it passed the F11 rebuild phase)
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: all archs supported by koji
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the test passes.


=== Issues ===
1. There is a minor cosmetic fix needed in order to make rpmlint happier: mixed-use-of-spaces-and-tabs (spaces: line 30, tab: line 18)
2. The spec does not use parallel build. If it is not supported, please note it in the spec, otherwise please use it.
3. There are some duplicate BRs:
glib2-devel (by pango-devel), automake (by gtk2-devel), pango-devel (by gtk2-devel), gtk2-devel (by gtksourceview2-devel), pygobject2-devel (by pygtk2-devel), pygtk2-devel (by pygtksourceview-devel), gtksourceview2-devel (by pygtksourceview-devel), autoconf (by automake). You can also ditch which, according to https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2 it is supposed to be in the minimum build environment. However I will not object if you choose to leave them in.


=== Final Notes ===
1. Could you please let me know which part of the application is licensed under GFDL? All references I have found in the source are for GPLv2+.
Comment 2 Matěj Cepl 2013-01-31 09:04:04 EST
Created attachment 690916 [details]
suggested patch

I just thought to volunteer what I think would be an improvement of the spec which covers all suggested objections.
Comment 3 Matthias Clasen 2013-01-31 09:16:40 EST
- there's redundant whitespace changes in %changelog. You shouldn't touch changelog, imo - otherwise, it looses its log nature

- i'm not sure the file list changes are an improvement - if you list files explicitly, you notice if something goes missing. globbing makes you vulnerable to silent loss of stuff

- the rest looks fine to me
Comment 4 Matěj Cepl 2013-02-01 08:23:24 EST
Created attachment 691580 [details]
updated patch
Comment 5 Matěj Cepl 2013-02-01 08:28:16 EST
Successfully build in http://koji.fedoraproject.org/koji/taskinfo?taskID=4921363
Comment 6 Cole Robinson 2014-03-24 15:47:06 EDT
The patch was pushed, there's been no further discussion. I think it's safe to say this is done.

Note You need to log in before you can comment on or make changes to this bug.